A utility class with methods related to the current platform and runtime.

### Hierarchy

- SystemUtil

## Index

### Properties

- isAIR
- isAndroid
- isApplicationActive
- isDesktop
- isIOS
- isMac
- isWindows
- platform
- supportsDepthAndStencil
- supportsVideoTexture
- version

### Methods

- executeWhenApplicationIsActive
- get_isAIR
- get_isAndroid
- get_isApplicationActive
- get_isDesktop
- get_isIOS
- get_isMac
- get_isWindows
- get_platform
- get_supportsDepthAndStencil
- get_supportsVideoTexture
- get_version
- initialize
- isEmbeddedFont
- set_platform
- updateEmbeddedFonts

## Properties

### Static isAIR

isAIR: boolean

- Defined in lib/starling/utils/SystemUtil.d.ts:27

Indicates if the code is executed in an Adobe AIR runtime (true) or Flash plugin/projector (false).

### Static isAndroid

isAndroid: boolean

- Defined in lib/starling/utils/SystemUtil.d.ts:79

Indicates if the code is executed on an Android device, based on the `platform` string.

### Static isApplicationActive

isApplicationActive: boolean

- Defined in lib/starling/utils/SystemUtil.d.ts:22

Indicates if the application is currently active. On Desktop, this means that it has the focus; on mobile, that it is in the foreground. In the Flash Plugin, always returns true.

### Static isDesktop

isDesktop: boolean

- Defined in lib/starling/utils/SystemUtil.d.ts:95

Indicates if the code is executed on a Desktop computer with Windows, macOS or Linux operating system. If the method returns 'false', it's probably a mobile device or a Smart TV.

### Static isIOS

isIOS: boolean

- Defined in lib/starling/utils/SystemUtil.d.ts:74

Indicates if the code is executed on an iOS device, based on the `platform` string.

### Static isMac

isMac: boolean

- Defined in lib/starling/utils/SystemUtil.d.ts:84

Indicates if the code is executed on a Macintosh, based on the `platform` string.

### Static isWindows

isWindows: boolean

- Defined in lib/starling/utils/SystemUtil.d.ts:89

Indicates if the code is executed on Windows, based on the `platform` string.

### Static platform

platform: string

- Defined in lib/starling/utils/SystemUtil.d.ts:38

Returns the three-letter platform string of the current system. These are the most common platforms: `WIN, MAC, LNX, IOS, AND, QNX`. Except for the last one, which indicates "Blackberry", all should be self-explanatory.

### Static supportsDepthAndStencil

supportsDepthAndStencil: boolean

- Defined in lib/starling/utils/SystemUtil.d.ts:44

Returns the value of the 'initialWindow.depthAndStencil' node of the application descriptor, if this in an AIR app; otherwise always `true`.

### Static supportsVideoTexture

supportsVideoTexture: boolean

- Defined in lib/starling/utils/SystemUtil.d.ts:50

Indicates if Context3D supports video textures. At the time of this writing, video textures are only supported on Windows, OS X and iOS, and only in AIR applications (not the Flash Player).

### Static version

version: string

- Defined in lib/starling/utils/SystemUtil.d.ts:32

Returns the Flash Player/AIR version string. The format of the version number is: majorVersion,minorVersion,buildNumber,internalBuildNumber.

## Methods

### Static executeWhenApplicationIsActive

- executeWhenApplicationIsActive(call: Function, args?: Array<any>): void

- - Defined in lib/starling/utils/SystemUtil.d.ts:17

  Executes the given with its arguments the next time the application is active. (If it is active already, the call will be executed right away.)

  #### Parameters

  - ##### call: Function

  - ##### Optional args: Array<any>

  #### Returns void

### Static Protected get_isAIR

- get_isAIR(): boolean

- - Defined in lib/starling/utils/SystemUtil.d.ts:28

  #### Returns boolean

### Static Protected get_isAndroid

- get_isAndroid(): boolean

- - Defined in lib/starling/utils/SystemUtil.d.ts:80

  #### Returns boolean

### Static Protected get_isApplicationActive

- get_isApplicationActive(): boolean

- - Defined in lib/starling/utils/SystemUtil.d.ts:23

  #### Returns boolean

### Static Protected get_isDesktop

- get_isDesktop(): boolean

- - Defined in lib/starling/utils/SystemUtil.d.ts:96

  #### Returns boolean

### Static Protected get_isIOS

- get_isIOS(): boolean

- - Defined in lib/starling/utils/SystemUtil.d.ts:75

  #### Returns boolean

### Static Protected get_isMac

- get_isMac(): boolean

- - Defined in lib/starling/utils/SystemUtil.d.ts:85

  #### Returns boolean

### Static Protected get_isWindows

- get_isWindows(): boolean

- - Defined in lib/starling/utils/SystemUtil.d.ts:90

  #### Returns boolean

### Static Protected get_platform

- get_platform(): string

- - Defined in lib/starling/utils/SystemUtil.d.ts:39

  #### Returns string

### Static Protected get_supportsDepthAndStencil

- get_supportsDepthAndStencil(): boolean

- - Defined in lib/starling/utils/SystemUtil.d.ts:45

  #### Returns boolean

### Static Protected get_supportsVideoTexture

- get_supportsVideoTexture(): boolean

- - Defined in lib/starling/utils/SystemUtil.d.ts:51

  #### Returns boolean

### Static Protected get_version

- get_version(): string

- - Defined in lib/starling/utils/SystemUtil.d.ts:33

  #### Returns string

### Static initialize

- initialize(): void

- - Defined in lib/starling/utils/SystemUtil.d.ts:13

  Initializes the `ACTIVATE/DEACTIVATE` event handlers on the native application. This method is automatically called by the Starling constructor.

  #### Returns void

### Static isEmbeddedFont

- isEmbeddedFont(fontName: string, bold?: boolean, italic?: boolean, fontType?: string): boolean

- - Defined in lib/starling/utils/SystemUtil.d.ts:67

  Figures out if an embedded font with the specified style is available. The fonts are enumerated only once; if you load a font at runtime, be sure to call 'updateEmbeddedFonts' before calling this method.

  @param fontName the name of the font @param bold indicates if the font has a bold style @param italic indicates if the font has an italic style @param fontType the type of the font (one of the constants defined in the FontType class)

  #### Parameters

  - ##### fontName: string

  - ##### Optional bold: boolean

  - ##### Optional italic: boolean

  - ##### Optional fontType: string

  #### Returns boolean

### Static Protected set_platform

- set_platform(value: string): string

- - Defined in lib/starling/utils/SystemUtil.d.ts:40

  #### Parameters

  - ##### value: string

  #### Returns string

### Static updateEmbeddedFonts

- updateEmbeddedFonts(): void

- - Defined in lib/starling/utils/SystemUtil.d.ts:56

  Updates the list of embedded fonts. To be called when a font is loaded at runtime.

  #### Returns void

Generated using TypeDoc